Bug 114214 - [MAINTAINER] mail/MailScanner: update to 4.61.7
Summary: [MAINTAINER] mail/MailScanner: update to 4.61.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-02 13:20 UTC by Jan-Peter Koopmann
Modified: 2007-07-04 16:10 UTC (History)
0 users

See Also:


Attachments
MailScanner-4.61.7.patch (14.74 KB, patch)
2007-07-02 13:20 UTC, Jan-Peter Koopmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Peter Koopmann 2007-07-02 13:20:03 UTC
- Update to 4.61.7

2/7/2007 New in Version 4.61.7-2
================================
* New Features and Improvements *
1 Direct support for the "clamd" virus scanner -- now talks directly to the
  clamd daemon without any overhead of calling clamd-wrapper or clamdscan.
  As a result, this should be faster than the previous clamd support.
  It also has a much smaller memory footprint than the "clamavmodule" scanner.
  This is all thanks to Rick Cooper who wrote the original code.
  New configuration options are
  - Clamd Port = 3310
  - Clamd Socket = /tmp/clamd
  - Clamd Lock File = /var/lock/subsys/clamd
  - Clamd Use Threads = no
  The use of these settings is explained in the MailScanner.conf file.
2 Changed session handling in direct clamd virus scanner support.
3 'MailScanner --lint' now finds clamd virus scanner.
3 Made clamd subsys lock file blank by default, so it works on non-Linux
  systems.
3 Added another example to the Allowed Sophos Error Messages setting for
  password-protected files.
4 Renamed "sa-update" command and cron job to "update_spamassassin".
4 Added ability to easily disable update_virus_scanners script.
4 Added conditional call to sa-compile to update_spamassassin cron job.
4 Added to $PATH in update_phishing_sites for Solaris 10 locations.
5 Watermarking functionality has had to be withdrawn due to patent issues.
  Sorry about this, but it would cause huge problems in the USA where
  software patents are legally enforceable and it would cause problems with
  including patented code in GPL software too.
6 Added facility to change SpamAssassin's temporary working files directory,
  using the new option 'SpamAssassin Temporary Dir'. By default this is put
  under the Incoming Work Dir location, as that is (hopefully) mounted using
  tmpfs. If an attempt to use this directory fails, it reverts to /tmp.
7 Fixed bug in finding PERL5LIB in installers. Thanks to Sean Coleman.

* Fixes *
2 Fixed bug in auto-zip feature with a message containing 2 attachments with
  the same filename.
2 Fixed bug in auto-zip feature that would allow zipping of an attachment
  which had been cleaned out of the message.
3 Fixed "identified/found" bug in AVG parser.
3 Fixed bugs in Panda and AVG parsers courtesy of Rick Cooper.
3 Fixed bug in Postfix handler which caused a problem with empty messages.
4 Fixed bug in SuSE init.d script stopping MailScanner reload working properly.
4 Changed method for getting MCP to decode binary attachments (the interesting
  ones have "application" in their MIME type). New patch for SpamAssassin 3.2.1
  Util.pm required now. No other SpamAssassin patches required at all.
4 Added definition of "noticesizeinfected" to languages.conf.
4 Added speedup (courtesy of Glenn Steen) to the new Postfix milter support.
4 Fixed rare bug in Postfix milter header support (from Glenn Steen).
5 Fixed problems with /usr/sbin/update_spamassassin not calling sa-update.


Added file(s):
- files/patch-bin-cron-update_spamassassin.cron
- files/patch-bin-update_spamassassin

Removed file(s):
- files/patch-bin-cron-sa-update.cron
- files/patch-lib-MailScanner-Message.pm

Generated with FreeBSD Port Tools 0.63
Comment 1 dfilter service freebsd_committer 2007-07-04 16:04:13 UTC
miwi        2007-07-04 15:04:03 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailscanner     Makefile distinfo pkg-plist 
    mail/mailscanner/files CHANGES.port 
  Added files:
    mail/mailscanner/files patch-bin-cron-update_spamassassin.cron 
                           patch-bin-update_spamassassin 
  Removed files:
    mail/mailscanner/files patch-bin-cron-sa-update.cron 
                           patch-lib-MailScanner-Message.pm 
  Log:
  - Update to 4.61.7
  
  PR:             114214
  Submitted by:   Jan-Peter Koopmann <j.koopmann@seceidos.de> (maintainer)
  
  Revision  Changes    Path
  1.65      +14 -6     ports/mail/mailscanner/Makefile
  1.44      +3 -3      ports/mail/mailscanner/distinfo
  1.18      +7 -0      ports/mail/mailscanner/files/CHANGES.port
  1.2       +0 -41     ports/mail/mailscanner/files/patch-bin-cron-sa-update.cron (dead)
  1.1       +42 -0     ports/mail/mailscanner/files/patch-bin-cron-update_spamassassin.cron (new)
  1.1       +31 -0     ports/mail/mailscanner/files/patch-bin-update_spamassassin (new)
  1.2       +0 -148    ports/mail/mailscanner/files/patch-lib-MailScanner-Message.pm (dead)
  1.35      +3 -3      ports/mail/mailscanner/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2007-07-04 16:04:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!